<template>
  <div>
    <v-dialog
      width="50%"
      height="auto"
      v-model="selectedValue"
      name="create_client_address"
    >
      <v-card>
        <v-card-title class="light">Modifiko një Adresë</v-card-title>
        <v-container>
          <v-row class="mx-2">
            <v-col class="align-center justify-space-between" cols="6">
              <v-text-field label="Adresa*" v-model="request.address" />
            </v-col>
            <v-col class="align-center justify-space-between" cols="6">
              <v-text-field label="Kodi Postar*" v-model="request.zip_code" />
            </v-col>
          </v-row>
          <v-row class="mx-2">
            <v-col class="align-center justify-space-between" cols="6">
              <v-text-field label="Qyteti*" v-model="request.city" />
            </v-col>
            <v-col class="align-center justify-space-between" cols="6">
              <v-text-field label="Shteti*" v-model="request.country" />
            </v-col>
          </v-row>
        </v-container>
        <v-card-actions>
          <v-spacer />
          <v-btn text @click="selectedValue = false">Anullo</v-btn>
          <f-submit-btn @click="submit" />
        </v-card-actions>
      </v-card>
    </v-dialog>
  </div>
</template>
<script lang="ts">
import Vue from 'vue'
import { Component, Prop, Watch } from 'vue-property-decorator'
import eventBus from '../../../../plugins/event-bus'
import FSubmitBtn from '../../../../components/buttons/FSubmitBtn.vue'
@Component({
  components: { FSubmitBtn },
})
export default class EditClientAddress extends Vue {
  @Prop({ type: Boolean, required: true }) value
  @Prop({ type: Object }) address

  @Watch('address')
  onAddressChanged(newValue) {
    this.request = newValue
  }

  request = {
    id: null,
    address: null,
    zip_code: null,
    city: null,
    country: null,
  }

  get selectedValue() {
    return this.value
  }
  set selectedValue(newValue) {
    this.$emit('input', newValue)
  }
  submit() {
    eventBus.$emit('edit-address', this.request)
    this.selectedValue = false
  }
}
</script>